import request from '@/utils/request'

// 查询母排信息列表
export function listBaseBusbarInfo(query) {
  return request({
    url: '/base/baseBusbarInfo/list',
    method: 'get',
    params: query
  })
}

// 查询母排信息详细
export function getBaseBusbarInfo(objId) {
  return request({
    url: '/base/baseBusbarInfo/' + objId,
    method: 'get'
  })
}

// 新增母排信息
export function addBaseBusbarInfo(data) {
  return request({
    url: '/base/baseBusbarInfo',
    method: 'post',
    data: data
  })
}

// 修改母排信息
export function updateBaseBusbarInfo(data) {
  return request({
    url: '/base/baseBusbarInfo',
    method: 'put',
    data: data
  })
}

// 删除母排信息
export function delBaseBusbarInfo(objId) {
  return request({
    url: '/base/baseBusbarInfo/' + objId,
    method: 'delete'
  })
}
